path: /build/build/bolt-sys-apps-0.9.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -systemd" emerge sys-apps/bolt -pv -t && \
    USE="-doc -systemd" emerge -j ${JOBS} --nodeps sys-apps/bolt
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/bolt && luet-portage --dir /pkgdir/bolt
    sys-apps/bolt && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:cef37fbe1ff31c1c9b1d8caffcbb823986f451a2669a6bee8784b21bceb9ba66
  package:
    name: bolt
    version: 0.9.7
    category: sys-apps
    use_flags:
    - -doc
    - -systemd
    requires:
    - name: macaroni-funtoo-race13
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Userspace system daemon to enable security levels for Thunderbolt
      3
    uri:
    - https://gitlab.freedesktop.org/bolt/bolt
    license: LGPL-2.1
    buildtimestamp: 2024-03-08 00:49:41.749585967 +0000 UTC m=+116.974025458
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 virtual/pkgconfig'
      DEPEND: '>=dev-libs/glib-2.56.0:2 dev-util/glib-utils virtual/libudev virtual/udev
        sys-auth/polkit[introspection] systemd? ( sys-apps/systemd ) doc? ( app-text/asciidoc
        )'
      IUSE: doc systemd kernel_linux
      RDEPEND: '>=dev-libs/glib-2.56.0:2 dev-util/glib-utils virtual/libudev virtual/udev
        sys-auth/polkit[introspection] systemd? ( sys-apps/systemd ) doc? ( app-text/asciidoc
        )'
      emerge.packages: sys-apps/bolt
      kit: core-kit
      original.package.name: sys-apps/bolt
      original.package.slot: "0"
      original.package.version: 0.9.7
    treedir: /build/packages
  package_dir: /pkgdir/bolt
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7930c73ba916006df39cee51d70694cb6c0ec9ad957f508caa28b0a3cee05754
compressiontype: zstd
files:
- etc/init.d/boltd
- lib/udev/rules.d/90-bolt.rules
- usr/bin/boltctl
- usr/libexec/boltd
- usr/share/dbus-1/interfaces/org.freedesktop.bolt.xml
- usr/share/dbus-1/system-services/org.freedesktop.bolt.service
- usr/share/dbus-1/system.d/org.freedesktop.bolt.conf
- usr/share/doc/bolt-0.9.7/README.md.bz2
- usr/share/polkit-1/actions/org.freedesktop.bolt.policy
- usr/share/polkit-1/rules.d/org.freedesktop.bolt.rules
- var/db/pkg/sys-apps/bolt-0.9.7/BDEPEND
- var/db/pkg/sys-apps/bolt-0.9.7/BUILD_TIME
- var/db/pkg/sys-apps/bolt-0.9.7/CATEGORY
- var/db/pkg/sys-apps/bolt-0.9.7/CBUILD
- var/db/pkg/sys-apps/bolt-0.9.7/CFLAGS
- var/db/pkg/sys-apps/bolt-0.9.7/CHOST
- var/db/pkg/sys-apps/bolt-0.9.7/CONTENTS
- var/db/pkg/sys-apps/bolt-0.9.7/COUNTER
- var/db/pkg/sys-apps/bolt-0.9.7/CXXFLAGS
- var/db/pkg/sys-apps/bolt-0.9.7/DEFINED_PHASES
- var/db/pkg/sys-apps/bolt-0.9.7/DEPEND
- var/db/pkg/sys-apps/bolt-0.9.7/DESCRIPTION
- var/db/pkg/sys-apps/bolt-0.9.7/EAPI
- var/db/pkg/sys-apps/bolt-0.9.7/FEATURES
- var/db/pkg/sys-apps/bolt-0.9.7/HOMEPAGE
- var/db/pkg/sys-apps/bolt-0.9.7/INHERITED
- var/db/pkg/sys-apps/bolt-0.9.7/IUSE
- var/db/pkg/sys-apps/bolt-0.9.7/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/bolt-0.9.7/KEYWORDS
- var/db/pkg/sys-apps/bolt-0.9.7/LDFLAGS
- var/db/pkg/sys-apps/bolt-0.9.7/LICENSE
- var/db/pkg/sys-apps/bolt-0.9.7/NEEDED
- var/db/pkg/sys-apps/bolt-0.9.7/PF
- var/db/pkg/sys-apps/bolt-0.9.7/RDEPEND
- var/db/pkg/sys-apps/bolt-0.9.7/REQUIRES
- var/db/pkg/sys-apps/bolt-0.9.7/SIZE
- var/db/pkg/sys-apps/bolt-0.9.7/SLOT
- var/db/pkg/sys-apps/bolt-0.9.7/USE
- var/db/pkg/sys-apps/bolt-0.9.7/bolt-0.9.7.ebuild
- var/db/pkg/sys-apps/bolt-0.9.7/environment.bz2
- var/db/pkg/sys-apps/bolt-0.9.7/repository
- var/lib/boltd/.keep_sys-apps_bolt-0
package_cacheimage: ""
runtime:
  name: bolt
  version: 0.9.7
  category: sys-apps
  use_flags:
  - -doc
  - -systemd
  requires:
  - name: glib-utils
    version: '>=0'
    category: dev-util
  - name: polkit
    version: '>=0'
    category: sys-auth
  - name: libudev
    version: '>=0'
    category: virtual
  - name: udev
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Userspace system daemon to enable security levels for Thunderbolt 3
  uri:
  - https://gitlab.freedesktop.org/bolt/bolt
  license: LGPL-2.1
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 virtual/pkgconfig'
    DEPEND: '>=dev-libs/glib-2.56.0:2 dev-util/glib-utils virtual/libudev virtual/udev
      sys-auth/polkit[introspection] systemd? ( sys-apps/systemd ) doc? ( app-text/asciidoc
      )'
    IUSE: doc systemd kernel_linux
    RDEPEND: '>=dev-libs/glib-2.56.0:2 dev-util/glib-utils virtual/libudev virtual/udev
      sys-auth/polkit[introspection] systemd? ( sys-apps/systemd ) doc? ( app-text/asciidoc
      )'
    emerge.packages: sys-apps/bolt
    kit: core-kit
    original.package.name: sys-apps/bolt
    original.package.slot: "0"
    original.package.version: 0.9.7
